CMSIS-DSP: Quaternion Product

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Quaternion Product
Quaternion Product

## Functions

void | arm_quaternion_product_single_f32 (const float32_t *qa, const float32_t *qb, float32_t *qr)
| Floating-point product of two quaternions. More...

## Description

Compute the product of two quaternions.

## Function Documentation

void arm_quaternion_product_single_f32 | ( | const float32_t * | qa,
|  | const float32_t * | qb,
|  | float32_t * | qr
| ) |  |

Parameters

  [in] | qa | first quaternion
  [in] | qb | second quaternion
  [out] | qr | product of two quaternions

Returns
  none